# plugins/discourse-legacy_links/plugin.rb

# frozen_string_literal: true

# name: discourse-legacy_links
# about: A plugin to handle legacy Gossamer Forums URLs
# version: 0.28
# authors: saint@federated.computer
# url: https://gitea.federated.computer/saint/discourse-legacy_links.git

# require 'digest'

# enabled_site_setting :discourse_legacy_links_enabled

module DiscourseLegacyLinks
  class Engine < ::Rails::Engine
    engine_name 'discourse_legacy_links'
    isolate_namespace DiscourseLegacyLinks
  end
end

# Load the plugin's engine and routes
require_relative 'lib/discourse_legacy_links/engine'
require_relative 'config/routes'
